Skip to main content
GET
/
v1
/
payment_method_sessions
/
{id}
Retrieve a payment method session
curl --request GET \
  --url https://api.yorlet.com/v1/payment_method_sessions/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "payment_method_session",
  "customer": "<string>",
  "payment_method": "<string>",
  "payment_method_types": [
    "autogiro"
  ],
  "return_url": "<string>",
  "status": "requires_payment_method",
  "subscription": "<string>",
  "url": "<string>",
  "account": "<string>",
  "deleted": false,
  "merchant": {
    "business_name": "<string>",
    "color": "<string>",
    "country": "<string>",
    "display_name": "<string>",
    "icon": "<string>",
    "id": "<string>",
    "support_email": "<string>",
    "support_phone": "<string>",
    "support_website": "<string>"
  },
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns the payment method session object.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
payment_method_session
customer
required
payment_method
required
payment_method_types
enum<string>[]
required
Available options:
autogiro,
bacs_debit,
card,
card_present,
bank_transfer,
direct_transfer,
gbp_credit_transfer,
pay_by_bank,
sepa_debit
return_url
string<uri> | null
required
status
enum<string>
required
Available options:
requires_payment_method,
succeeded
subscription
required
url
string<uri> | null
required
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

merchant
object
metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.